Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.api.score.constraint.primint
Class IntConstraintMatchTotal

    java.lang.Object
      org.optaplanner.core.api.score.constraint.ConstraintMatchTotal
          org.optaplanner.core.api.score.constraint.primint.IntConstraintMatchTotal

All Implemented Interfaces:
  Serializable, Comparable<ConstraintMatchTotal>

    public class IntConstraintMatchTotal

extends ConstraintMatchTotal

See Also:
  Serialized Form

Field Summary
`protected Set<IntConstraintMatch>` | `constraintMatchSet`
`protected int` | `weightTotal`

Fields inherited from class org.optaplanner.core.api.score.constraint.ConstraintMatchTotal
`constraintName, constraintPackage, scoreLevel`

Constructor Summary
`IntConstraintMatchTotal(String constraintPackage, String constraintName, int scoreLevel)`

Method Summary
`IntConstraintMatch` | `addConstraintMatch(List<Object> justificationList, int weight)`
`IntConstraintMatch` | `addConstraintMatch(org.kie.api.runtime.rule.RuleContext kcontext, int weight)`
`Set<IntConstraintMatch>` | `getConstraintMatchSet()`
`int` | `getWeightTotal()`
`Number` | `getWeightTotalAsNumber()`
`void` | `removeConstraintMatch(IntConstraintMatch constraintMatch)`

Methods inherited from class org.optaplanner.core.api.score.constraint.ConstraintMatchTotal
`compareTo, extractJustificationList, getConstraintId, getConstraintMatchCount, getConstraintName, getConstraintPackage, getIdentificationString, getScoreLevel, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### constraintMatchSet

    protected final Set<IntConstraintMatch> constraintMatchSet

### weightTotal

    protected int weightTotal

Constructor Detail

### IntConstraintMatchTotal

    public IntConstraintMatchTotal(String constraintPackage,
                                   String constraintName,
                                   int scoreLevel)

Method Detail

### getConstraintMatchSet

    public Set<IntConstraintMatch> getConstraintMatchSet()

  Specified by:
    `getConstraintMatchSet` in class `ConstraintMatchTotal`

### getWeightTotal

    public int getWeightTotal()

### getWeightTotalAsNumber

    public Number getWeightTotalAsNumber()

  Specified by:
    `getWeightTotalAsNumber` in class `ConstraintMatchTotal`

### addConstraintMatch

    public IntConstraintMatch addConstraintMatch(org.kie.api.runtime.rule.RuleContext kcontext,
                                                 int weight)

### addConstraintMatch

    public IntConstraintMatch addConstraintMatch(List<Object> justificationList,
                                                 int weight)

### removeConstraintMatch

    public void removeConstraintMatch(IntConstraintMatch constraintMatch)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2015 JBoss by Red Hat. All Rights Reserved.